#!/usr/bin/env bash
#set -x
############################################################################################### 
# Licensed Materials - Property of IBM
#
# 5724-T60 5608-A91
# (C) Copyright IBM Corp. 2008, 2009  All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###############################################################################################
# Verify input
#TODO:need detailed usage statement

#=======MAIN============

db2username=$1
db2home=$2

TKLMTEMP=${HOME}/sklm41properties
logfile=/${TKLMTEMP}/uninstallDB2.output.txt

UNAME=`uname`
echo "executed by user ${UNAME}" > ${logfile}

GID=`id -g`
if [ $GID -eq 0  ]; then
	echo "switching to ${db2username} user to uninstall db2 packages" >> ${logfile}
	su - ${db2username} -c "${db2home}/install/db2_deinstall -a"	>> ${logfile}
else
	echo "uninstalling db2 packages on non root user" >> ${logfile}
    ${db2home}/install/db2_deinstall -a >> ${logfile}
fi