@echo off
SETLOCAL
SET CURR_DIR=%~dp0

SET DB2_INST_HOME=
SET CMD=
SET CMD_HOME=
SET RC=

SET DB2_INST_HOME=%~1
SET CMD=%~2
SET CMD_HOME=%~3
SET RC=0


if "%CMD%"=="" (
	echo.
	echo CMD Property is empty.
	SET RC=-1
	goto printUsage
)

if "%DB2_INST_HOME%"=="" (
	echo. 
	echo INST_HOME Property is empty.
	SET RC=-1
	goto printUsage
)

if "%DB2_INST_HOME%"=="" (
	echo.
	echo DB2_INST_HOME Property is empty.
	SET RC=-1
	goto printUsage
)

cd "%DB2_INST_HOME%\bin" 
echo executing "%CMD%"
%CMD%
SET RC=%ERRORLEVEL%
echo Return code : %RC%
if %RC%==0 (
	echo Command execution successful.
) else (
	echo Command execution failed.
)
goto end

:printUsage
echo Usage DB2SklmCmdExec.bat <DB2_INST_HOME> <CMD> <CMD_HOME>
echo DB2_INST_HOME : DB2 install home.
echo CMD : Command to execute.
echo CMD_HOME : Command directory.
goto end 

:end
cd "%CURR_DIR%"
exit /B %RC%