
ALTER TABLE "DBACCT" DROP CONSTRAINT "WIMF_39";

ALTER TABLE "DBBLOBPROP" DROP CONSTRAINT "WIMF_10";

ALTER TABLE "DBBLOBPROP" DROP CONSTRAINT "WIMF_7";

ALTER TABLE "DBBLOBPROP" DROP CONSTRAINT "WIMF_8";

ALTER TABLE "DBBLOBPROP" DROP CONSTRAINT "WIMF_9";

ALTER TABLE "DBCOMPPROP" DROP CONSTRAINT "WIMF_36";

ALTER TABLE "DBCOMPPROP" DROP CONSTRAINT "WIMF_37";

ALTER TABLE "DBCOMPPROP" DROP CONSTRAINT "WIMF_38";

ALTER TABLE "DBCOMPREL" DROP CONSTRAINT "WIMF_31";

ALTER TABLE "DBCOMPREL" DROP CONSTRAINT "WIMF_32";

ALTER TABLE "DBDBLPROP" DROP CONSTRAINT "WIMF_11";

ALTER TABLE "DBDBLPROP" DROP CONSTRAINT "WIMF_12";

ALTER TABLE "DBDBLPROP" DROP CONSTRAINT "WIMF_13";

ALTER TABLE "DBDBLPROP" DROP CONSTRAINT "WIMF_14";

ALTER TABLE "DBENTREL" DROP CONSTRAINT "WIMF_33";

ALTER TABLE "DBENTREL" DROP CONSTRAINT "WIMF_34";

ALTER TABLE "DBGRPREL" DROP CONSTRAINT "WIMF_35";

ALTER TABLE "DBINTPROP" DROP CONSTRAINT "WIMF_19";

ALTER TABLE "DBINTPROP" DROP CONSTRAINT "WIMF_20";

ALTER TABLE "DBINTPROP" DROP CONSTRAINT "WIMF_21";

ALTER TABLE "DBINTPROP" DROP CONSTRAINT "WIMF_22";

ALTER TABLE "DBLONGPROP" DROP CONSTRAINT "WIMF_3";

ALTER TABLE "DBLONGPROP" DROP CONSTRAINT "WIMF_4";

ALTER TABLE "DBLONGPROP" DROP CONSTRAINT "WIMF_5";

ALTER TABLE "DBLONGPROP" DROP CONSTRAINT "WIMF_6";

ALTER TABLE "DBPROP" DROP CONSTRAINT "WIMF_1";

ALTER TABLE "DBPROPENT" DROP CONSTRAINT "WIMF_2";

ALTER TABLE "DBREFPROP" DROP CONSTRAINT "WIMF_23";

ALTER TABLE "DBREFPROP" DROP CONSTRAINT "WIMF_24";

ALTER TABLE "DBREFPROP" DROP CONSTRAINT "WIMF_25";

ALTER TABLE "DBREFPROP" DROP CONSTRAINT "WIMF_26";

ALTER TABLE "DBSTRPROP" DROP CONSTRAINT "WIMF_27";

ALTER TABLE "DBSTRPROP" DROP CONSTRAINT "WIMF_28";

ALTER TABLE "DBSTRPROP" DROP CONSTRAINT "WIMF_29";

ALTER TABLE "DBSTRPROP" DROP CONSTRAINT "WIMF_30";

ALTER TABLE "DBTSPROP" DROP CONSTRAINT "WIMF_15";

ALTER TABLE "DBTSPROP" DROP CONSTRAINT "WIMF_16";

ALTER TABLE "DBTSPROP" DROP CONSTRAINT "WIMF_17";

ALTER TABLE "DBTSPROP" DROP CONSTRAINT "WIMF_18";

ALTER TABLE "DBACCT" DROP CONSTRAINT "SQL191007105455070";

ALTER TABLE "DBCOMPPROP" DROP CONSTRAINT "SQL191007105454980";

ALTER TABLE "DBCOMPREL" DROP CONSTRAINT "SQL191007105454960";

ALTER TABLE "DBENTITY" DROP CONSTRAINT "SQL191007105454840";

ALTER TABLE "DBENTREL" DROP CONSTRAINT "SQL191007105455010";

ALTER TABLE "DBGRPREL" DROP CONSTRAINT "SQL191007105455040";

ALTER TABLE "DBPROP" DROP CONSTRAINT "SQL191007105454900";

ALTER TABLE "DBPROPENT" DROP CONSTRAINT "SQL191007105454930";

ALTER TABLE "DBPROPTYPE" DROP CONSTRAINT "SQL191007105454870";

DROP INDEX "WIMI005";

DROP INDEX "WIMI010";

DROP INDEX "WIMI015";

DROP INDEX "WIMI020";

DROP INDEX "WIMI025";

DROP INDEX "WIMI030";

DROP INDEX "WIMI035";

DROP INDEX "WIMI040";

DROP INDEX "WIMI045";

DROP INDEX "WIMI050";

DROP INDEX "WIMI055";

DROP TABLE "DBACCT";

DROP TABLE "DBBLOBPROP";

DROP TABLE "DBCOMPPROP";

DROP TABLE "DBCOMPREL";

DROP TABLE "DBDBLPROP";

DROP TABLE "DBENTITY";

DROP TABLE "DBENTREL";

DROP TABLE "DBGRPREL";

DROP TABLE "DBINTPROP";

DROP TABLE "DBKEYS";

DROP TABLE "DBLONGPROP";

DROP TABLE "DBPROP";

DROP TABLE "DBPROPENT";

DROP TABLE "DBPROPTYPE";

DROP TABLE "DBREFPROP";

DROP TABLE "DBSTRPROP";

DROP TABLE "DBTSPROP";

CREATE TABLE "DBACCT" (
		"ENTITY_ID" BIGINT NOT NULL,
		"PASSWORD" CHAR (128) FOR BIT DATA,
		"SALT" VARCHAR(254),
		"EXT_ID" VARCHAR(200),
		"FULL_EXT_ID" VARCHAR(1000),
		"REPOS_ID" CHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBBLOBPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"PROPVALUE" BLOB(10000000),
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBCOMPPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE_ID" BIGINT,
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBCOMPREL" (
		"COMPOSITE_ID" INTEGER NOT NULL,
		"COMPONENT_ID" INTEGER NOT NULL,
		"IS_REQUIRED" INTEGER NOT NULL DEFAULT 0,
		"IS_KEY" INTEGER NOT NULL DEFAULT 0
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBDBLPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"PROPVALUE" DOUBLE,
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBENTITY" (
		"ENTITY_ID" BIGINT NOT NULL,
		"ENTITY_TYPE" VARCHAR(36) NOT NULL,
		"UNIQUE_ID" CHAR(36) NOT NULL,
		"UNIQUE_NAME" VARCHAR(1000) NOT NULL,
		"UNIQUE_NAME_KEY" VARCHAR(236) NOT NULL
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBENTREL" (
		"DESCENDANT_ID" BIGINT NOT NULL,
		"ANCESTOR_ID" BIGINT NOT NULL
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBGRPREL" (
		"GRP_ID" BIGINT NOT NULL,
		"REPOS_ID" CHAR(36) NOT NULL,
		"EXT_ID" VARCHAR(200) NOT NULL,
		"FULL_EXT_ID" VARCHAR(1000) NOT NULL
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBINTPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"PROPVALUE" INTEGER,
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBKEYS" (
		"KEYS_ID" INTEGER NOT NULL,
		"TABLENAME" VARCHAR(256) NOT NULL,
		"COLUMNNAME" VARCHAR(18) NOT NULL,
		"COUNTER" BIGINT NOT NULL,
		"PREFETCH_SIZE" BIGINT DEFAULT 20,
		"LOWER_BOUND" BIGINT DEFAULT 0,
		"UPPER_BOUND" BIGINT DEFAULT 2147483648
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBLONGPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"PROPVALUE" BIGINT,
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBPROP" (
		"PROP_ID" INTEGER NOT NULL,
		"NAME" VARCHAR(200) NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"META_NAME" VARCHAR(36) NOT NULL DEFAULT 'DEFAULT',
		"IS_COMPOSITE" INTEGER DEFAULT 0,
		"VALUE_LENGTH" INTEGER,
		"READ_ONLY" INTEGER DEFAULT 0,
		"MULTI_VALUED" INTEGER DEFAULT 1,
		"CASE_EXACT_MATCH" INTEGER DEFAULT 1,
		"CLASSNAME" VARCHAR(512),
		"DESCRIPTION" VARCHAR(512),
		"APPLICATION_ID" VARCHAR(254) NOT NULL DEFAULT 'com.ibm.websphere.wim'
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBPROPENT" (
		"PROP_ID" INTEGER NOT NULL,
		"APPLICABLE_ENTTYPE" VARCHAR(36) NOT NULL,
		"REQUIRED_ENTTYPE" INTEGER NOT NULL DEFAULT 0
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBPROPTYPE" (
		"TYPE_ID" CHAR(16) NOT NULL,
		"DESCRIPTION" VARCHAR(254)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBREFPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"REF_UNAME_KEY" VARCHAR(236) NOT NULL,
		"REF_UNAME" VARCHAR(1000) NOT NULL,
		"REF_EXT_ID" VARCHAR(200) NOT NULL,
		"REF_FULL_EXT_ID" VARCHAR(1000) NOT NULL,
		"REF_REPOS_ID" CHAR(36) NOT NULL,
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBSTRPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"PROPVALUE" VARCHAR(1500),
		"VALUE_KEY" VARCHAR(1500),
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE TABLE "DBTSPROP" (
		"VALUE_ID" BIGINT NOT NULL,
		"PROP_ID" INTEGER NOT NULL,
		"TYPE_ID" CHAR(16) NOT NULL,
		"ENTITY_ID" BIGINT NOT NULL,
		"COMPOSITE" BIGINT,
		"PROPVALUE" TIMESTAMP,
		"META_VALUE" VARCHAR(36)
	)
	DATA CAPTURE NONE;

CREATE INDEX "WIMI020"
	ON "DBDBLPROP"
	("PROPVALUE"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI025"
	ON "DBINTPROP"
	("PROPVALUE"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI030"
	ON "DBTSPROP"
	("PROPVALUE"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI035"
	ON "DBLONGPROP"
	("PROPVALUE"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI040"
	ON "DBSTRPROP"
	("ENTITY_ID"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI045"
	ON "DBREFPROP"
	("REF_UNAME_KEY"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI050"
	ON "DBREFPROP"
	("REF_EXT_ID"		ASC,
	  "REF_REPOS_ID"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE INDEX "WIMI055"
	ON "DBGRPREL"
	("REPOS_ID"		ASC,
	  "EXT_ID"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE UNIQUE INDEX "WIMI005"
	ON "DBENTITY"
	("UNIQUE_NAME_KEY"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE UNIQUE INDEX "WIMI010"
	ON "DBENTITY"
	("UNIQUE_ID"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

CREATE UNIQUE INDEX "WIMI015"
	ON "DBPROP"
	("NAME"		ASC,
	  "META_NAME"		ASC) PCTFREE 10
ALLOW REVERSE SCANS;

ALTER TABLE "DBACCT" ADD CONSTRAINT "SQL191007105455070" PRIMARY KEY
	("ENTITY_ID");

ALTER TABLE "DBCOMPPROP" ADD CONSTRAINT "SQL191007105454980" PRIMARY KEY
	("VALUE_ID");

ALTER TABLE "DBCOMPREL" ADD CONSTRAINT "SQL191007105454960" PRIMARY KEY
	("COMPOSITE_ID",
	 "COMPONENT_ID");

ALTER TABLE "DBENTITY" ADD CONSTRAINT "SQL191007105454840" PRIMARY KEY
	("ENTITY_ID");

ALTER TABLE "DBENTREL" ADD CONSTRAINT "SQL191007105455010" PRIMARY KEY
	("DESCENDANT_ID",
	 "ANCESTOR_ID");

ALTER TABLE "DBGRPREL" ADD CONSTRAINT "SQL191007105455040" PRIMARY KEY
	("GRP_ID",
	 "REPOS_ID",
	 "EXT_ID");

ALTER TABLE "DBPROP" ADD CONSTRAINT "SQL191007105454900" PRIMARY KEY
	("PROP_ID");

ALTER TABLE "DBPROPENT" ADD CONSTRAINT "SQL191007105454930" PRIMARY KEY
	("PROP_ID",
	 "APPLICABLE_ENTTYPE");

ALTER TABLE "DBPROPTYPE" ADD CONSTRAINT "SQL191007105454870" PRIMARY KEY
	("TYPE_ID");

ALTER TABLE "DBACCT" ADD CONSTRAINT "WIMF_39" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBBLOBPROP" ADD CONSTRAINT "WIMF_10" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBBLOBPROP" ADD CONSTRAINT "WIMF_7" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBBLOBPROP" ADD CONSTRAINT "WIMF_8" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBBLOBPROP" ADD CONSTRAINT "WIMF_9" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBCOMPPROP" ADD CONSTRAINT "WIMF_36" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBCOMPPROP" ADD CONSTRAINT "WIMF_37" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBCOMPPROP" ADD CONSTRAINT "WIMF_38" FOREIGN KEY
	("COMPOSITE_ID")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBCOMPREL" ADD CONSTRAINT "WIMF_31" FOREIGN KEY
	("COMPOSITE_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBCOMPREL" ADD CONSTRAINT "WIMF_32" FOREIGN KEY
	("COMPONENT_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBDBLPROP" ADD CONSTRAINT "WIMF_11" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBDBLPROP" ADD CONSTRAINT "WIMF_12" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBDBLPROP" ADD CONSTRAINT "WIMF_13" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBDBLPROP" ADD CONSTRAINT "WIMF_14" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBENTREL" ADD CONSTRAINT "WIMF_33" FOREIGN KEY
	("DESCENDANT_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBENTREL" ADD CONSTRAINT "WIMF_34" FOREIGN KEY
	("ANCESTOR_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBGRPREL" ADD CONSTRAINT "WIMF_35" FOREIGN KEY
	("GRP_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBINTPROP" ADD CONSTRAINT "WIMF_19" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBINTPROP" ADD CONSTRAINT "WIMF_20" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBINTPROP" ADD CONSTRAINT "WIMF_21" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBINTPROP" ADD CONSTRAINT "WIMF_22" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBLONGPROP" ADD CONSTRAINT "WIMF_3" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBLONGPROP" ADD CONSTRAINT "WIMF_4" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBLONGPROP" ADD CONSTRAINT "WIMF_5" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBLONGPROP" ADD CONSTRAINT "WIMF_6" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBPROP" ADD CONSTRAINT "WIMF_1" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBPROPENT" ADD CONSTRAINT "WIMF_2" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBREFPROP" ADD CONSTRAINT "WIMF_23" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBREFPROP" ADD CONSTRAINT "WIMF_24" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBREFPROP" ADD CONSTRAINT "WIMF_25" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBREFPROP" ADD CONSTRAINT "WIMF_26" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBSTRPROP" ADD CONSTRAINT "WIMF_27" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBSTRPROP" ADD CONSTRAINT "WIMF_28" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBSTRPROP" ADD CONSTRAINT "WIMF_29" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBSTRPROP" ADD CONSTRAINT "WIMF_30" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBTSPROP" ADD CONSTRAINT "WIMF_15" FOREIGN KEY
	("PROP_ID")
	REFERENCES "DBPROP"
	("PROP_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBTSPROP" ADD CONSTRAINT "WIMF_16" FOREIGN KEY
	("TYPE_ID")
	REFERENCES "DBPROPTYPE"
	("TYPE_ID");

ALTER TABLE "DBTSPROP" ADD CONSTRAINT "WIMF_17" FOREIGN KEY
	("ENTITY_ID")
	REFERENCES "DBENTITY"
	("ENTITY_ID")
	ON DELETE CASCADE;

ALTER TABLE "DBTSPROP" ADD CONSTRAINT "WIMF_18" FOREIGN KEY
	("COMPOSITE")
	REFERENCES "DBCOMPPROP"
	("VALUE_ID")
	ON DELETE CASCADE;

--Insert data here

insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (-2000,'OrgContainer','a9e5a980-3cec-11da-a833-828d43500d84','o=sklmrepdb.ibm','o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (52,'Group','194fc735-da71-4730-861b-61d88dd6bb95','cn=LTOAdmin,o=sklmrepdb.ibm','cn=ltoadmin,o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (103,'Group','39b78c65-9c6e-4c75-8697-abfbe3434447','cn=LTOAuditor,o=sklmrepdb.ibm','cn=ltoauditor,o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (154,'Group','949b5aa5-d6d2-4907-97a6-bc245d415e90','cn=LTOOperator,o=sklmrepdb.ibm','cn=ltooperator,o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (205,'Group','72dd6fb9-2d13-4526-ba7f-fe8bb262ada7','cn=klmBackupRestoreGroup,o=sklmrepdb.ibm','cn=klmbackuprestoregroup,o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (256,'Group','bd367cc7-01ba-4cd6-9f84-e86ae9022752','cn=klmGUICLIAccessGroup,o=sklmrepdb.ibm','cn=klmguicliaccessgroup,o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (307,'Group','326ad342-489c-4f8d-b931-346d5f9c6f8a','cn=klmSecurityOfficerGroup,o=sklmrepdb.ibm','cn=klmsecurityofficergroup,o=sklmrepdb.ibm');
insert into "DBENTITY"("ENTITY_ID","ENTITY_TYPE","UNIQUE_ID","UNIQUE_NAME","UNIQUE_NAME_KEY") values (358,'PersonAccount','b7c2a299-9ae9-4802-9ade-2e441ffba28e','uid=SKLMAdmin,o=sklmrepdb.ibm','uid=sklmadmin,o=sklmrepdb.ibm');


insert into "DBACCT"("ENTITY_ID","PASSWORD","SALT","EXT_ID","FULL_EXT_ID","REPOS_ID") values (358,null,'7ihvcp2gdr8u',null,null,null);


insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('LONG            ','Description of LONG');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('TIMESTAMP       ','Description of TIMESTAMP');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('DOUBLE          ','Description of DOUBLE');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('INTEGER         ','Description of INTEGER');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('STRING          ','Description of STRING');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('OBJECT          ','Description of OBJECT');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('IDENTIFIER      ','Description of IDENTIFIER');
insert into "DBPROPTYPE"("TYPE_ID","DESCRIPTION") values ('BYTEARRAY       ','Description for BYTEARRAY');


insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10000,'uid','STRING          ','DEFAULT',0,254,0,0,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10051,'sn','STRING          ','DEFAULT',0,128,0,0,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10102,'givenName','STRING          ','DEFAULT',0,128,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10153,'initials','STRING          ','DEFAULT',0,20,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10204,'mail','STRING          ','DEFAULT',0,256,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10255,'ibm-primaryEmail','STRING          ','DEFAULT',0,256,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10306,'displayName','STRING          ','DEFAULT',0,128,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10357,'preferredLanguage','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10408,'l','STRING          ','DEFAULT',0,256,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10459,'st','STRING          ','DEFAULT',0,256,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10510,'c','STRING          ','DEFAULT',0,256,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10561,'o','STRING          ','DEFAULT',0,128,0,0,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10612,'ou','STRING          ','DEFAULT',0,128,0,0,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10663,'dc','STRING          ','DEFAULT',0,128,0,0,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10714,'cn','STRING          ','DEFAULT',0,256,0,0,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10765,'description','STRING          ','lang',0,1024,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10816,'seeAlso','STRING          ','DEFAULT',0,254,0,1,0,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10867,'password','BYTEARRAY       ','DEFAULT',0,0,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10918,'createTimestamp','TIMESTAMP       ','DEFAULT',0,0,1,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (10969,'modifyTimestamp','TIMESTAMP       ','DEFAULT',0,0,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11020,'jpegPhoto','BYTEARRAY       ','DEFAULT',0,0,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11071,'certificate','BYTEARRAY       ','DEFAULT',0,0,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11122,'labeledURI','OBJECT          ','DEFAULT',0,0,0,1,1,'java.lang.String',null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11173,'carLicense','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11224,'telephoneNumber','STRING          ','DEFAULT',0,32,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11275,'facsimileTelephoneNumber','STRING          ','DEFAULT',0,32,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11326,'pager','STRING          ','DEFAULT',0,32,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11377,'mobile','STRING          ','DEFAULT',0,32,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11428,'homePostalAddress','STRING          ','DEFAULT',0,500,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11479,'postalAddress','STRING          ','DEFAULT',0,500,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11530,'roomNumber','STRING          ','DEFAULT',0,256,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11581,'localityName','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11632,'stateOrProvinceName','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11683,'street','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11734,'city','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11785,'postalCode','STRING          ','DEFAULT',0,40,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11836,'countryName','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11887,'employeeNumber','STRING          ','DEFAULT',0,20,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11938,'employeeType','STRING          ','DEFAULT',0,20,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (11989,'title','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12040,'ibm-JobTitle','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12091,'manager','IDENTIFIER      ','DEFAULT',0,0,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12142,'secretary','IDENTIFIER      ','DEFAULT',0,0,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12193,'businessCategory','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12244,'departmentNumber','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12295,'homeAddress','OBJECT          ','DEFAULT',1,0,0,1,1,null,'','com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12346,'homeAddress/nickName','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12397,'homeAddress/street','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12448,'homeAddress/city','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12499,'homeAddress/stateOrProvinceName','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12550,'homeAddress/postalCode','STRING          ','DEFAULT',0,40,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12601,'homeAddress/countryName','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12652,'businessAddress','OBJECT          ','DEFAULT',1,0,0,1,1,null,'','com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12703,'businessAddress/nickName','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12754,'businessAddress/street','STRING          ','DEFAULT',0,128,0,1,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12805,'businessAddress/city','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12856,'businessAddress/stateOrProvinceName','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12907,'businessAddress/postalCode','STRING          ','DEFAULT',0,40,0,0,1,null,null,'com.ibm.websphere.wim');
insert into "DBPROP"("PROP_ID","NAME","TYPE_ID","META_NAME","IS_COMPOSITE","VALUE_LENGTH","READ_ONLY","MULTI_VALUED","CASE_EXACT_MATCH","CLASSNAME","DESCRIPTION","APPLICATION_ID") values (12958,'businessAddress/countryName','STRING          ','DEFAULT',0,128,0,0,1,null,null,'com.ibm.websphere.wim');


insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12295,12346,1,1);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12295,12397,1,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12295,12448,1,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12295,12499,0,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12295,12550,0,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12295,12601,1,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12652,12703,1,1);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12652,12754,1,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12652,12805,1,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12652,12856,0,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12652,12907,0,0);
insert into "DBCOMPREL"("COMPOSITE_ID","COMPONENT_ID","IS_REQUIRED","IS_KEY") values (12652,12958,1,0);



insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (52,-2000);
insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (103,-2000);
insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (154,-2000);
insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (205,-2000);
insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (256,-2000);
insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (307,-2000);
insert into "DBENTREL"("DESCENDANT_ID","ANCESTOR_ID") values (358,-2000);


insert into "DBGRPREL"("GRP_ID","REPOS_ID","EXT_ID","FULL_EXT_ID") values (307,'SKLMDBRepos                         ','b7c2a299-9ae9-4802-9ade-2e441ffba28e','b7c2a299-9ae9-4802-9ade-2e441ffba28e');
insert into "DBGRPREL"("GRP_ID","REPOS_ID","EXT_ID","FULL_EXT_ID") values (256,'SKLMDBRepos                         ','b7c2a299-9ae9-4802-9ade-2e441ffba28e','b7c2a299-9ae9-4802-9ade-2e441ffba28e');


insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-1,'DBENTITY','ENTITY_ID',358,50,0,6999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-2,'DBPROP','PROP_ID',13009,50,0,9223372036850000000);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-3,'DBLONGPROP','VALUE_ID',10000,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-4,'DBBLOBPROP','VALUE_ID',10000,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-5,'DBDBLPROP','VALUE_ID',10000,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-6,'DBTSPROP','VALUE_ID',10714,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-7,'DBINTPROP','VALUE_ID',10000,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-8,'DBREFPROP','VALUE_ID',10000,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-9,'DBSTRPROP','VALUE_ID',10459,50,0,3999999999999999999);
insert into "DBKEYS"("KEYS_ID","TABLENAME","COLUMNNAME","COUNTER","PREFETCH_SIZE","LOWER_BOUND","UPPER_BOUND") values (-10,'DBCOMPPROP','VALUE_ID',10000,50,0,3999999999999999999);




insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10000,'Person',1);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10000,'PersonAccount',1);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10051,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10051,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10102,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10102,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10153,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10153,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10204,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10204,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10255,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10255,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10306,'Group',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10306,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10306,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10357,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10357,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10408,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10408,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10408,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10459,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10459,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10459,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10510,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10510,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10561,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10612,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10663,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10714,'Group',1);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10714,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10714,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10714,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10765,'Group',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10765,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10765,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10765,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10816,'Group',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10816,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10816,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10816,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10867,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10918,'Group',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10918,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10918,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10918,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10969,'Group',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10969,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10969,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (10969,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11020,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11020,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11071,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11122,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11122,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11173,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11173,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11224,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11224,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11224,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11275,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11275,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11275,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11326,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11326,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11377,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11377,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11428,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11428,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11479,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11479,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11479,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11530,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11530,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11581,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11581,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11581,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11632,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11632,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11632,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11683,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11683,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11683,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11734,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11734,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11734,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11785,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11785,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11785,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11836,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11836,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11887,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11887,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11938,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11938,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11989,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (11989,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12040,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12040,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12091,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12091,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12142,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12142,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12193,'Group',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12193,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12193,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12193,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12244,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12244,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12295,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12295,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12346,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12346,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12397,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12397,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12448,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12448,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12499,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12499,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12550,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12550,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12601,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12601,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12652,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12652,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12652,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12703,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12703,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12703,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12754,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12754,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12754,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12805,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12805,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12805,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12856,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12856,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12856,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12907,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12907,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12907,'PersonAccount',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12958,'OrgContainer',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12958,'Person',0);
insert into "DBPROPENT"("PROP_ID","APPLICABLE_ENTTYPE","REQUIRED_ENTTYPE") values (12958,'PersonAccount',0);




insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10051,10714,'STRING          ',52,null,'LTOAdmin','ltoadmin','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10102,10714,'STRING          ',103,null,'LTOAuditor','ltoauditor','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10153,10714,'STRING          ',154,null,'LTOOperator','ltooperator','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10204,10714,'STRING          ',205,null,'klmBackupRestoreGroup','klmbackuprestoregroup','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10255,10714,'STRING          ',256,null,'klmGUICLIAccessGroup','klmguicliaccessgroup','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10306,10714,'STRING          ',307,null,'klmSecurityOfficerGroup','klmsecurityofficergroup','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10357,10051,'STRING          ',358,null,'key_lifecycle_manager_default_admin','key_lifecycle_manager_default_admin','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10408,10000,'STRING          ',358,null,'SKLMAdmin','sklmadmin','');
insert into "DBSTRPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","VALUE_KEY","META_VALUE") values (10459,10714,'STRING          ',358,null,'key_lifecycle_manager_default_admin','key_lifecycle_manager_default_admin','');


insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10051,10918,'TIMESTAMP       ',52,null,'2019-10-07-11.05.18.769000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10102,10969,'TIMESTAMP       ',52,null,'2019-10-07-11.05.18.769000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10153,10918,'TIMESTAMP       ',103,null,'2019-10-07-11.05.20.675000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10204,10969,'TIMESTAMP       ',103,null,'2019-10-07-11.05.20.675000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10255,10918,'TIMESTAMP       ',154,null,'2019-10-07-11.05.21.269000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10306,10969,'TIMESTAMP       ',154,null,'2019-10-07-11.05.21.269000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10357,10918,'TIMESTAMP       ',205,null,'2019-10-07-11.05.22.097000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10408,10969,'TIMESTAMP       ',205,null,'2019-10-07-11.05.22.097000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10459,10918,'TIMESTAMP       ',256,null,'2019-10-07-11.05.22.566000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10510,10969,'TIMESTAMP       ',256,null,'2019-10-07-11.05.22.566000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10561,10918,'TIMESTAMP       ',307,null,'2019-10-07-11.05.22.956000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10612,10969,'TIMESTAMP       ',307,null,'2019-10-07-11.05.22.956000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10663,10918,'TIMESTAMP       ',358,null,'2019-10-07-11.07.27.488000','');
insert into "DBTSPROP"("VALUE_ID","PROP_ID","TYPE_ID","ENTITY_ID","COMPOSITE","PROPVALUE","META_VALUE") values (10714,10969,'TIMESTAMP       ',358,null,'2019-10-07-11.07.27.488000','');


