@echo off
SET CURR_DIR=%~dp0
echo CURR_DIR %CURR_DIR%
:: Keep variables local
SETLOCAL
SET WAS_HOME=
SET WAS_ADMIN_ID=
SET WAS_ADMIN_PASSWORD=
SET KLM_VERSION=






rem if not exist backup.properties goto noconfig
if not exist restore.properties goto noconfig

rem for /f "tokens=1,2,3 delims==" %%a in (backup.properties) do (
for /f "tokens=1,2,3 delims==" %%a in (restore.properties) do (
  
  if "%%a"=="WAS_HOME" set WAS_HOME=%%b
  if "%%a"=="RESTORE_FILE" set RESTORE_FILE=%%b
  if "%%a"=="DB_PASSWORD" set DB_PASSWORD=%%b
  if "%%a"=="BACKUP_PASSWORD" set BACKUP_PASSWORD=%%b
  if "%%a"=="KLM_VERSION" set KLM_VERSION=%%b
  if "%%a"=="JAVA_HOME" set JAVA_HOME=%%b
  )


if "%JAVA_HOME%"=="" (
	 echo JAVA_HOME not set.
	 goto end	
)
  
  
if "%WAS_HOME%"=="" (
 echo.
 echo WAS_HOME Property is empty.
 goto end
)
if not exist "%WAS_HOME%/bin/wsadmin.bat" (
	echo.
	echo Invalid WAS_HOME directory set.
	goto end
)

if not "%JAVA_HOME%"=="" (
	if not exist "%JAVA_HOME%\\bin\\java.exe" (
	 echo.
	 echo Invalid JAVA_HOME directory set.
	 goto end	
	)
)

if "%RESTORE_USER_ROLES%"=="" (
 	set RESTORE_USER_ROLES=n
	echo. >>restore.properties
	echo RESTORE_USER_ROLES=n>>restore.properties
) else (
if "%RESTORE_USER_ROLES%"=="y" (
	echo.
 	echo For EKM restore RESTORE_USER_ROLES property must be set to 'n'.
 	goto end
)
)


if "%RESTORE_FILE%"=="" (
 echo.
 echo RESTORE_FILE Property is empty.
 goto end
)

if NOT exist "%RESTORE_FILE%" (
 echo.
 echo RESTORE_FILE "%RESTORE_FILE%" doesnot exist.
 goto end
)

if "%DB_PASSWORD%"=="" (
 echo.
 echo DB_PASSWORD Property is empty.
 goto end
)

if "%BACKUP_PASSWORD%"=="" (
 echo.
 echo BACKUP_PASSWORD Property is empty.
 goto end
)

goto run

:noconfig
@echo Cannot find restore.properties. The parameter values cannot be determined. Run this script again by specifying the following parameters in restore.properties
@echo WAS_HOME
@echo RESTORE_USER_ROLES
@echo RESTORE_FILE
if "%%a"=="WAS_HOME" set WAS_HOME=%%b
  if "%%a"=="RESTORE_USER_ROLES" set RESTORE_USER_ROLES=%%b
  if "%%a"=="RESTORE_FILE" set RESTORE_FILE=%%b
  if "%%a"=="DB_PASSWORD" set DB_PASSWORD=%%b
  if "%%a"=="BACKUP_PASSWORD" set BACKUP_PASSWORD=%%b
  if "%%a"=="KLM_VERSION" set KLM_VERSION=%%b
goto end
  
:run

echo.
SET BACKUP_CP=%CURR_DIR%com.ibm.sklm.server.migrate.ekm21restore.jar;%WAS_HOME%/universalDriver/lib/db2jcc4.jar;%WAS_HOME%/universalDriver/lib/db2jcc_license_cu.jar;%WAS_HOME%/lib/j2ee.jar;%WAS_HOME%/plugins/com.ibm.icu.jar;%WAS_HOME%/lib/ext/com.ibm.tklm.obfuscation.jar;%WAS_HOME%/plugins/com.ibm.tklm.commands.jar;%WAS_HOME%/java/jre/lib/ext/ibmkeycert.jar;%WAS_HOME%/java/jre/lib/ext/ibmpkcs11impl.jar;%WAS_HOME%/java/jre/lib/ext/ibmjcefips.jar;%WAS_HOME%/plugins/com.ibm.ws.runtime.jar;%WAS_HOME%/plugins/com.ibm.ws.prereq.xlxp.jar;
call :BACKUP_CLASSPATH
rem echo BACKUP_CP %BACKUP_CP%
if "%JAVA_HOME%"=="" (
"%WAS_HOME%/java/bin/java.exe" -cp "%BACKUP_CP%" com.ibm.sklm.server.migrate.v2v.backup.RestoreHandlerV2V "%WAS_HOME%" > restore_console.log 2>&1
) else (
"%JAVA_HOME%/bin/java.exe" -cp "%BACKUP_CP%" com.ibm.sklm.server.migrate.v2v.backup.RestoreHandlerV2V "%WAS_HOME%" > restore_console.log 2>&1
)
set rc=%ERRORLEVEL%
if NOT %rc%==0 (
	echo Restore completed with errors, Please refer to restore.log for more details.
)
if %rc%==0 (
	echo Restore completed, Please refer to restore.log for more details.
	echo For the changes to take effect, restart the IBM Security Guardium Key Lifecycle Manager server.
)

goto end

:BACKUP_CLASSPATH
for %%i in ("%WAS_HOME%\profiles\KLMProfile\installedApps\SKLMCell\sklm_kms.ear\*.jar") do call :SETCP %%i
for %%i in ("%WAS_HOME%\profiles\KLMProfile\installedApps\SKLMCell\sklm_kms.ear\lib\*.jar") do call :SETCP %%i

:SETCP
set BACKUP_CP=%BACKUP_CP%;%*

:end