##to invoke the script, you have to pass four arguements: <pathV1 or V2> <path v3> <user to ignore> 
# <log with path> < 1 - if update password only 0 - add users only>
import string
import sys
import shutil
from java.util import Calendar, Date
from java.io import File, BufferedReader, FileReader, IOException

#Need to see what users are in V1 or V2 for later creation
def FindUsers ():
	writeLog( "In FindUsers" )
	pathfiletoMigF = pathv1v2 + "/profiles/KLMProfile/config/cells/SKLMCell/fileRegistry.xml"
	try:
		f = File( pathfiletoMigF )
		bufStream = BufferedReader( FileReader( f ))
		while 1:
			line = bufStream.readLine()
			if(line is None): 
				writeLog( "Done FindUsers" )
				break
			if(line.find("wim:PersonAccount") != -1): 
				uid = ""
				cn = ""
				sn = ""
				pwd = ""
				mail = ""
				while (line.find("</wim:entities>") == -1):
					line = bufStream.readLine() 
					if(line.find("<wim:uid>") != -1):
						uid = line.replace("<wim:uid>"," ")
						uid = uid.replace("</wim:uid>"," ")
						uid = uid.strip()
					if(line.find("<wim:cn>") != -1):
						cn = line.replace("<wim:cn>"," ")
						cn = cn.replace("</wim:cn>"," ")
						cn = cn.strip()
					if(line.find("<wim:sn>") != -1):
						sn = line.replace("<wim:sn>"," ")
						sn = sn.replace("</wim:sn>"," ")
						sn = sn.strip()
					if(line.find("<wim:mail>") != -1):
                                                mail = line.replace("<wim:mail>"," ")
                                                mail = mail.replace("</wim:mail>"," ")
                                                mail = mail.strip()
					if(line.find("<wim:password>") != -1):
						pwd = line
				#endWhile
				createUsr(uid, cn, sn, mail, pwd)
		 #endWhile
		return 0
	except:
		writeLog( "Done FindUsers file not found" )
		return 101

def createUsr (uid,cn,sn,mail,passwd):
	params = "[-uid " + uid +" -password " + sklmadminpwd + " -sn " + sn + " -cn " + cn + " -mail "+ mail + "]"
	writeLog("params=" + params)
	outputFile.write(params);
	outputFile.write("\n");
	params= "[-memberUniqueName  uid="+ uid + ",o=defaultWIMFileBasedRealm]"
	writeLog("params=" + params)
	outputFile.write(params);
	outputFile.write("\n");
	pwdList.append([uid,passwd]);

#Need to see what groups are in V1 or V2 for later creation
def FindGroups ():
	writeLog( "In FindGroups" )
	pathfiletoMigF1 = pathv1v2 + "/profiles/KLMProfile/config/cells/SKLMCell/fileRegistry.xml"
	f1 = File( pathfiletoMigF1 );
	bufStream1 = BufferedReader( FileReader( f1 ))
	while 1:
		line = bufStream1.readLine()
		if(line is None): 
			writeLog( "Done FindGroups" )
			break
		if(line.find("wim:Group") != -1):
			cn = ""
			desc = ""
			while (line.find("</wim:entities>") == -1):
				line = bufStream1.readLine()
				if(line.find("<wim:parent>") != -1):
					while (line.find("</wim:parent>") == -1):
						line=bufStream1.readLine()
						if(line.find("</wim:parent>")!=-1):
							break
						id=line.replace("<wim:identifier uniqueName=\""," ")
						id=id.replace("\"/>"," ")
						id=id.strip()
					#endWhile
				if(line.find("<wim:cn>") != -1):
					cn = line.replace("<wim:cn>"," ")
					cn = cn.replace("</wim:cn>"," ")
					cn = cn.strip()
				if(line.find("<wim:description>") != -1):
					desc = line.replace("<wim:description>"," ")
					desc = desc.replace("</wim:description>"," ")
					desc = desc.strip()
			#endWhile
			createGroup(cn,desc)
	#endWhile

def createGroup (cn,desc):
	if (desc == ""):
		 params = "[-cn " + cn + "]"

	params = "[-cn " + cn + " -description \"" + desc + "\" ]"
	writeLog("params=" + params)
	outputFile.write(params);
	outputFile.write("\n");

def openLog():
	file = open(logpath, "a+b")
	return file

def writeLog(record):
	logF.write(record);
	logF.write("\n");

def closeLog():
	logF.close()

def FindRoles ():
	writeLog("In FindRoles")        
	pathfiletoMigF = pathv1v2 + "/profiles/KLMProfile/config/cells/SKLMCell/admin-authz.xml"
	try:
		f = File( pathfiletoMigF )
		bufStream = BufferedReader( FileReader( f ))
		while 1:
			line = bufStream.readLine()
			if(line is None): break
			if(line.find("<roles xmi:id=") != -1):
				outputFile.write(line);
				outputFile.write("\n");
		#endWhile
		outputFile.write("*************END ROLES********************");
		outputFile.write("\n");
		writeLog("Done with FindRoles")
		return 0
	except:
		writeLog("Error in FindRoles")
		return 101

def FindUserAssocRoles():
	writeLog("In FindUserAssocRoles") 
	try:
		result = AdminTask.listUserIDsOfAuthorizationGroup()
		writeLog("result: " + result)        
		outputFile.write(result);
		outputFile.write("\n");
		outputFile.write("*************END USERROLESASOC********************");
		outputFile.write("\n");
		writeLog("Done with FindUserAssocRoles")
		return 0
	except:
		writeLog("Error with FindUserAssocRoles")
		return 101

def FindGroupsAndAssocRoles():
	writeLog("In FindGroupsAndAssocRoles") 
	try:
		FindGroups()
		outputFile.write("*************END GROUPS********************");
		outputFile.write("\n");
		result = AdminTask.listGroupIDsOfAuthorizationGroup()
		writeLog("result: " + result)        
		outputFile.write(result);
		outputFile.write("\n");
		outputFile.write("*************END GROUP ROLES********************");
		outputFile.write("\n");
		writeLog("Done with FindGroupsAndAssocRoles")
		return 0
	except:
		writeLog("Error with FindGroupsAndAssocRoles")
		return 101
   
def FindGroupsAndUserAssociations():
	writeLog("In FindGroupsAndUserAssociations") 
	try:
		result = AdminTask.searchGroups('[-cn *]')
		writeLog("result: " + result)   
		#Loop through the groups and get members of the group
		tmpList = result.split('\n')
		x = 0
		while x < len(tmpList):
			groupName = tmpList[x].strip()
			result = AdminTask.getMembersOfGroup('[-uniqueName '+ groupName + ']')
			writeLog("result for group " + groupName + " = " + result)        
			outputFile.write(groupName);
			outputFile.write("\n");
			outputFile.write(result);
			outputFile.write("\n");
			x = x + 1
		outputFile.write("*************END GROUPSUSERASSOC********************");
		outputFile.write("\n");
		writeLog("Done with FindGroupsAndUserAssociations")
		return 0
	except:
		writeLog("Error with FindGroupsAndUserAssociations")
		return 101
   
def StorePasswords():
	writeLog("In StorePasswords")
	for x in pwdList[:]:
		outputFile.write(x[0]);
		outputFile.write("\n");		
		outputFile.write(x[1].strip());
		outputFile.write("\n");
	outputFile.write("*************END STOREPASSWORDS********************");
	outputFile.write("\n");
	writeLog("Done with StorePasswords")

#  Main code  

tipuser = ""
sklmadminpwd = "WAS@admin123"
pathv1v2 = ""
roles = []
pwdList = []
logpath = ""
rc = 0
passwdUptOnly = ""

if len(sys.argv) < 3 or len(sys.argv) > 3:
	sys.stderr.write("Invalid number of arguments\n")
	sys.exit(101)
else:
  if len(sys.argv) == 3:
	pathv1v2 = sys.argv[0]
	logpath = sys.argv[1]
	pathBackupDir = sys.argv[2]

	#open the logfile for audit
	logF = openLog()
	cal = Calendar.getInstance()
	date = cal.getTime()
	writeLog("Starting backupUsersRolesGroups.py: " + date.toString())
	writeLog("pathv1v2=" + pathv1v2)
	writeLog("logpath=" + logpath)
	writeLog("pathBackupDir=" + pathBackupDir)

	pathUsersFile = pathBackupDir + "/UsersRolesGroups.txt"
	outputFile = open(pathUsersFile, "w")

	rc = FindUsers()
	outputFile.write("*************END USERS********************");
	outputFile.write("\n");

	if rc == 0:
		writeLog("FindRoles()")
		rc = FindRoles()

	if rc == 0:
		writeLog("FindGroupsAndAssocRoles()")
		rc = FindGroupsAndAssocRoles()

	if rc == 0:
		writeLog("FindUserAssocRoles()")
		rc = FindUserAssocRoles()

	if rc == 0:
		writeLog("FindGroupsAndUserAssociations()")
		rc = FindGroupsAndUserAssociations()
		
	if rc == 0:
		writeLog("StorePasswords()")
		rc = StorePasswords()

	outputFile.close()
	writeLog("Error code = " + str(rc))
	cal = Calendar.getInstance()
	date = cal.getTime()
	writeLog("Ending backupUsersRolesGroups.py: " + date.toString())
	writeLog("\n")
	#close the logfile for audit
	closeLog()

