@echo off

SETLOCAL
 
SET CURR_DIR=%~dp0


cd %CURR_DIR%

if [%1]==[] (
echo Usage: 
echo		agentStarter.bat "Path to WAS_HOME"
echo		where
echo		the Input Parameter is the path to WAS_HOME.
echo Example: 
echo		agentStarter.bat "C:\Program Files\IBM\WebSphere\AppServer"
echo Note:	Please ensure the WAS HOME path is correct.			
goto end
)
SET WAS_HOME=%~1

::Validate WAS_HOME availability
if not exist "%WAS_HOME%" (
	echo.
	echo WAS_HOME Path not Valid.
	goto end
)

goto run
	
:run
echo.

startAgent.bat "%WAS_HOME%"

goto end

:end
exit /B 0
