@echo off

SETLOCAL
 
SET CURR_DIR=%~dp0

:: Keep Local Variables

echo starting stopCluster



cd %CURR_DIR%


goto validate

:printUsage
echo Usage: 
echo		stopCluster.bat "<Path to WAS_HOME>" 
echo		where
echo		the Input Parameter is the path to WAS_HOME
echo Example: 
echo		stopCluster.bat "C:\Program Files\IBM\WebSphere\AppServer"
echo Note:	Please ensure the WAS HOME path is correct.		
goto end


:validate
SET WAS_HOME=%~1

echo WAS_HOME = %WAS_HOME%
::Validate WAS_HOME availability
if not exist "%WAS_HOME%" (
	echo.
	echo WAS_HOME Path not Valid.
	goto end
)
goto run


:run
echo.
SET AGENT_CP=%CURR_DIR%com.ibm.sklm.agent.jar;%WAS_HOME%/runtimes/com.ibm.ws.admin.client_9.0.jar;%WAS_HOME%/lib/ext/com.ibm.tklm.obfuscation.jar;%WAS_HOME%/plugins/com.ibm.ws.runtime.jar;%WAS_HOME%/universalDriver/lib/db2jcc4.jar;%WAS_HOME%/universalDriver/lib/db2jcc_license_cu.jar;%WAS_HOME%/lib/j2ee.jar;%WAS_HOME%/plugins/com.ibm.icu.jar;%WAS_HOME%/plugins/com.ibm.tklm.commands.jar;%WAS_HOME%/java/jre/lib/ext/ibmkeycert.jar;%WAS_HOME%/java/jre/lib/ext/ibmpkcs11impl.jar;%WAS_HOME%/java/jre/lib/ext/ibmjcefips.jar;%WAS_HOME%/plugins/org.eclipse.emf.ecore.jar;%WAS_HOME%/plugins/org.eclipse.emf.common.jar;%WAS_HOME%/plugins/org.eclipse.emf.commonj.sdo.jar;%WAS_HOME%/plugins/org.eclipse.emf.ecore.sdo.jar;%WAS_HOME%/plugins/org.eclipse.emf.ecore.xmi.jar;%WAS_HOME%/plugins/org.eclipse.emf.ecore.change.jar;
rem echo %AGENT_CP%
call :AGENT_CLASSPATH

"%WAS_HOME%/java/8.0/bin/java.exe" -cp "%AGENT_CP%" com.ibm.sklm.agent.AgentStopCluster

set rc=%ERRORLEVEL%
if NOT %rc%==0 (
	echo  Stop cluster Failed.
)
if %rc%==0 (
	echo Stop cluster successful.
)
goto end

:AGENT_CLASSPATH
for %%i in ("%WAS_HOME%\profiles\KLMProfile\installedApps\SKLMCell\sklm_kms.ear\*.jar") do call :SETCP %%i
for %%i in ("%WAS_HOME%\profiles\KLMProfile\installedApps\SKLMCell\sklm_kms.ear\lib\*.jar") do call :SETCP %%i
for %%i in ("%WAS_HOME%\lib\*.jar") do call :SETCP %%i


:SETCP
set AGENT_CP=%AGENT_CP%;%*


:end
exit /B %rc%