#!/bin/sh
#set-x
# The script is to be called for group creation of db2 for root install
# arg1 - group_name	-	Group name that will be created by this script
#
# Note:  The script
#        must be run on the same machine where DB2 server is installed.
#        will fail if there is error in group creation.
#---------------------------------------------------------------------------

GRP_NAME=$1
LOG=$2

##################################################################
echo "Execution starts" > $LOG
echo "Shell" >> $LOG
echo $SHELL >> $LOG
whoami >> $LOG
echo "-------------------------------------------------------------------------" >> $LOG
echo Started executing dbGrpCreate.sh >> "$LOG"
echo "-------------------------------------------------------------------------" >> $LOG
##################################################################

groupadd $GRP_NAME
rc=$?
echo "Return code" $rc >> "$LOG"
if [ $rc -eq 0 ]; then
    echo "Created group $GRP_NAME." >> "$LOG"
fi

if [  $rc -eq 9 ]; then
	rc=0
    echo "Group $GRP_NAME already exist." >> "$LOG"
fi

echo "Execution ends" >> $LOG
exit $rc