#!/bin/sh
SCRIPTDIR=`dirname $0`
CURDIR=`pwd`
USRID=`id -u`
GID=`id -g`
cd $SCRIPTDIR
SCRIPTDIR=`pwd`
cd ..
WAS_HOME=`pwd`
cd $CURDIR
#echo $USRID
if [ -f $WAS_HOME/properties/sklm.properties  ]; then
	#echo TKLM_DB_ADMIN = $TKLM_DB_ADMIN	
	#echo loading $WAS_HOME/properties/sklm.properties
	. $WAS_HOME/properties/sklm.properties
fi

if [ $GID -eq 0  ]; then
	if [ "$TKLM_DB_ADMIN" =  "" ]; then
   		echo "Cannot run this operation as a root user. Only the process owner user can run this operation."
   		exit 1
   	else
   		COMMAND="$SCRIPTDIR/stopServer_org.sh $@"
   		su - $TKLM_DB_ADMIN -c "$COMMAND"
	    RETVAL=$?
	    chown -R ${TKLM_DB_ADMIN} $WAS_HOME/products/sklm/logs
	fi	
else 
	$SCRIPTDIR/stopServer_org.sh "$@"
	RETVAL=$?
fi
exit $RETVAL