import sys

SUCCESS = "SUCCESS"
FAILURE = "FAILURE"

######### Update SKLM data source #########

def update_sklm_datasource (dataSourceId):
    global AdminConfig


    if (dataSourceId != ""):   
        print "calling modify db pwd"
        AdminConfig.modify(dataSourceId, [['password' , dbPassword]])
        
        return SUCCESS
    else:
        print "data source id not found"
        return FAILURE
    #endElse
#endDef

def update_sklm_idrepo (idRepo):
    global AdminTask


    if (idRepo != ""):
    	print "calling modify id repo db pwd"  
        AdminTask.updateIdMgrDBRepository ('[-id SKLMDBRepos -dbAdminPassword '+ dbPassword + ']')
        
        return SUCCESS
    else:
        print "id repo not found"
        return SUCCESS
    #endElse
#endDef


#####################################################
#													#
# 				SCRIPT STARTS HERE					#
#													#
# 		 Sets up WAS to configure DB2 HADR			#
#													#
#####################################################


if (len(sys.argv) != 1):
    print "  "
    print "Incorrect number of args.  "
    print "   arg1 - New Password for Database"
    sys.exit(1)
#endIf

dbPassword = sys.argv[0]


#UPDATE SKLM DataSource
dataSourceId = AdminConfig.list('JAASAuthData')
returnCode = update_sklm_datasource(dataSourceId)

print "Debug --> return from update_sklm_datasource SKLM DataSource : " + returnCode

if (returnCode == SUCCESS):
	try:
		idRepo = AdminTask.getIdMgrRepository ('[-id SKLMDBRepos]')
	except:
		print "Error occurred while fetching SKLMDBRepos id, error can be present if ldap not configured"
	else:
		returnCode = update_sklm_idrepo(idRepo)
#endIf

print "Debug --> return from update_sklm_idrepo : " + returnCode
if (returnCode == SUCCESS):
        AdminConfig.save( )
#endIf

		